Index: /main/waeup.custom/trunk/src/waeup/custom/applicants/batching.py
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/applicants/batching.py	(revision 7933)
+++ /main/waeup.custom/trunk/src/waeup/custom/applicants/batching.py	(revision 7934)
@@ -20,13 +20,13 @@
 
 import grok
-from waeup.kofa.applicants.batching import ApplicantImporter
+from waeup.kofa.applicants.batching import ApplicantProcessor
 from waeup.custom.applicants.interfaces import IPGApplicant
 
-class PGApplicantImporter(ApplicantImporter):
+class PGApplicantProcessor(ApplicantProcessor):
     """A batch processor for IPGApplicant objects.
     """
-    util_name = 'pgapplicantimporter'
+    util_name = 'pgapplicantprocessor'
     grok.name(util_name)
-    name = u'PG Applicant Importer'
+    name = u'PG Applicant Processor'
     iface = IPGApplicant
     factory_name = 'waeup.PGApplicant'
Index: /main/waeup.custom/trunk/src/waeup/custom/applicants/tests.py
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/applicants/tests.py	(revision 7933)
+++ /main/waeup.custom/trunk/src/waeup/custom/applicants/tests.py	(revision 7934)
@@ -31,5 +31,5 @@
 from waeup.custom.applicants.container import PGApplicantsContainer
 from waeup.custom.applicants.applicant import PGApplicant
-from waeup.custom.applicants.batching import PGApplicantImporter
+from waeup.custom.applicants.batching import PGApplicantProcessor
 from waeup.custom.applicants.interfaces import IPGApplicant, IPGApplicantEdit
 
@@ -40,5 +40,5 @@
     '\n')[0].split(',')
 
-class PGApplicantImporterTest(FunctionalTestCase):
+class PGApplicantProcessorTest(FunctionalTestCase):
     """Perform some batching tests.
     """
@@ -46,5 +46,5 @@
 
     def setUp(self):
-        super(PGApplicantImporterTest, self).setUp()
+        super(PGApplicantProcessorTest, self).setUp()
         # Setup a sample site for each test
         app = University()
@@ -86,5 +86,5 @@
         self.applicant = self.app['applicants']['pg2011'][
             self.application_number]
-        self.importer = PGApplicantImporter()
+        self.processor = PGApplicantProcessor()
         self.workdir = tempfile.mkdtemp()
         self.csv_file = os.path.join(self.workdir, 'sample_applicant_data.csv')
@@ -92,5 +92,5 @@
 
     def tearDown(self):
-        super(PGApplicantImporterTest, self).tearDown()
+        super(PGApplicantProcessorTest, self).tearDown()
         shutil.rmtree(self.workdir)
         shutil.rmtree(self.dc_root)
@@ -100,7 +100,7 @@
     def test_interfaces(self):
         # Make sure we fulfill the interface contracts.
-        assert verifyObject(IBatchProcessor, self.importer) is True
+        assert verifyObject(IBatchProcessor, self.processor) is True
         assert verifyClass(
-            IBatchProcessor, PGApplicantImporter) is True
+            IBatchProcessor, PGApplicantProcessor) is True
         assert verifyObject(IPGApplicant, self.applicant) is True
         assert verifyClass(
@@ -118,5 +118,5 @@
 
     def test_import(self):
-        num, num_warns, fin_file, fail_file = self.importer.doImport(
+        num, num_warns, fin_file, fail_file = self.processor.doImport(
             self.csv_file, APPLICANT_HEADER_FIELDS)
         self.assertEqual(num_warns,0)
Index: /main/waeup.custom/trunk/src/waeup/custom/interswitch/browser.py
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/interswitch/browser.py	(revision 7933)
+++ /main/waeup.custom/trunk/src/waeup/custom/interswitch/browser.py	(revision 7934)
@@ -219,9 +219,13 @@
 
         # Add webservice validation
-        validation_list = get_SOAP_response(
-            PRODUCT_ID, self.context.p_id).split(':')
-        # Validation does not make sense yet since the query string 
-        # formats are conflicting.
-        print validation_list
+        try:
+            validation_list = get_SOAP_response(
+                PRODUCT_ID, self.context.p_id).split(':')
+            # Validation does not make sense yet since the query string
+            # formats are conflicting. We are only printing the validation string,
+            # nothing else.
+            print validation_list
+        except:
+            print 'Connection to webservice failed.'
 
         write_log_message(self,'valid callback: %s' % self.context.p_id)
Index: /main/waeup.custom/trunk/src/waeup/custom/students/tests/test_browser.py
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/students/tests/test_browser.py	(revision 7933)
+++ /main/waeup.custom/trunk/src/waeup/custom/students/tests/test_browser.py	(revision 7934)
@@ -35,5 +35,5 @@
     '\n')[0].split(',')
 
-class StudentImporterTest(FunctionalTestCase):
+class StudentProcessorTest(FunctionalTestCase):
     """Perform some batching tests.
     """
@@ -42,5 +42,5 @@
 
     def setUp(self):
-        super(StudentImporterTest, self).setUp()
+        super(StudentProcessorTest, self).setUp()
         # Setup a sample site for each test
         app = University()
@@ -58,6 +58,6 @@
         setSite(app)
 
-        self.importer_base = StudentProcessorBase()
-        self.importer = StudentProcessor()
+        self.processor_base = StudentProcessorBase()
+        self.processor = StudentProcessor()
         self.workdir = tempfile.mkdtemp()
         self.csv_file = os.path.join(self.workdir, 'sample_student_data.csv')
@@ -65,5 +65,5 @@
 
     def tearDown(self):
-        super(StudentImporterTest, self).tearDown()
+        super(StudentProcessorTest, self).tearDown()
         shutil.rmtree(self.workdir)
         shutil.rmtree(self.dc_root)
@@ -73,13 +73,13 @@
     def test_import(self):
         # We added empty columns 'nationality' and 'lga' to the import file.
-        # The original importer will fail because these fields are required
+        # The original processor will fail because these fields are required
         # in the base package.
-        num, num_warns, fin_file, fail_file = self.importer_base.doImport(
+        num, num_warns, fin_file, fail_file = self.processor_base.doImport(
             self.csv_file, STUDENT_HEADER_FIELDS)
         self.assertEqual(num_warns,3)
         assert len(self.app['students'].keys()) == 0
-        # The customized importer does not complain since both fields are
+        # The customized processor does not complain since both fields are
         # not required in the custom package.
-        num, num_warns, fin_file, fail_file = self.importer.doImport(
+        num, num_warns, fin_file, fail_file = self.processor.doImport(
             self.csv_file, STUDENT_HEADER_FIELDS)
         self.assertEqual(num_warns,0)