Index: WAeUP_SRP/trunk/skins/waeup_uniben/layout_application_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_uniben/layout_application_edit.pt	(revision 7955)
+++ WAeUP_SRP/trunk/skins/waeup_uniben/layout_application_edit.pt	(revision 7955)
@@ -0,0 +1,110 @@
+<metal:define tal:define="isStaff context/isStaff;
+                          isStudent context/isStudent;
+                          info context/getApplicationInfo;
+                          app_email info/app_doc/app_email|nothing;
+                          app_passport info/has_passport;
+                          ">
+
+<metal:block tal:condition="isStaff">              
+<metal:block use-macro="here/layout_waeup_edit/macros/default_edit"/>              
+</metal:block>        
+
+
+<metal:block define-macro="application_student_edit"
+  tal:condition="python:isStudent"
+  tal:define="layout options/layout;
+  ds options/datastructure;
+  dm ds/getDataModel;
+  formaction options/formaction|string:application_edit;
+  creation creation|nothing;
+  cpsmcat nocall:here/translation_service;
+  proceed options/proceed|nothing;
+  widgets python:context.getRenderedWidgets(layout);
+  widget_email widgets/app_email|nothing;
+  widget_passport widgets/passport|nothing;
+  ">
+  <table class="layoutDefault" summary="Form layout"
+         >
+
+    <tr tal:condition="python: widget_email and not app_email" 
+        tal:define="cell widget_email">
+      <tal:block tal:define="widget cell/widget;
+      wid widget/getWidgetId;
+      err python:ds.getError(wid);
+      err_mapping python:ds.getErrorMapping(wid);
+      is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
+      widget_css_class widget/widget_css_class|nothing;
+      css_class python:test(err, 'row error','row')">
+        <div tal:attributes="class widget_css_class;
+        id python:widget.getHtmlWidgetId()+'_widget';">
+          <td>
+            <div class="label" tal:condition="widget/label_edit"
+                 tal:attributes="class python:test(is_required, 'label required','label')">
+              <label tal:content="widget/label_edit"
+                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
+            </div>
+          </td>
+          <td>
+            <span class="field">
+              <div tal:replace="structure cell/widget_rendered"/>
+            </span>
+            <tal:block condition="err">
+              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
+                <br /><em style="color: red"
+                          tal:content="msg">err</em>
+              </tal:block>
+            </tal:block>
+          </td>
+        </div>
+      </tal:block>
+    </tr>
+    <tr tal:condition="python: widget_passport and not app_passport" 
+        tal:define="cell widget_passport">
+      <tal:block tal:define="widget cell/widget;
+      wid widget/getWidgetId;
+      err python:ds.getError(wid);
+      err_mapping python:ds.getErrorMapping(wid);
+      is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
+      tooltip_id python:wid + '_help';
+      widget_css_class widget/widget_css_class|nothing;
+      css_class python:test(err, 'row error','row')"
+      >
+        <div tal:attributes="class widget_css_class;
+        id python:widget.getHtmlWidgetId()+'_widget';"
+        >
+          <td>
+            <div class="label" tal:condition="widget/label_edit"
+                 tal:attributes="class python:test(is_required, 'label required','label')">
+              <label tal:content="widget/label_edit"
+                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
+            
+            <button type="button" class="tooltipControl"
+                    tal:condition="widget/help"
+                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
+            </div>
+          </td>
+          <td>
+            <span class="field">
+              <div tal:replace="structure cell/widget_rendered"/>
+            </span>
+            <div class="tooltipArea" style="visibility: hidden;"
+                 tal:condition="widget/help"
+                 tal:attributes="id tooltip_id;
+                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
+                 >
+              <tal:block tal:content="widget/help">This is the help for this field
+              </tal:block>
+            </div>
+            <tal:block condition="err">
+              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
+                <br /><em style="color: red"
+                          tal:content="msg">err</em>
+              </tal:block>
+            </tal:block>
+          </td>
+        </div>
+      </tal:block>
+    </tr>    
+  </table>
+</metal:block>
+</metal:define>