Index: main/waeup.kofa/trunk/src/waeup/kofa/utils/countries.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/utils/countries.py	(revision 7965)
+++ main/waeup.kofa/trunk/src/waeup/kofa/utils/countries.py	(revision 7965)
@@ -0,0 +1,258 @@
+# -*- coding: utf-8 -*-
+#
+# This file was automatically generated. Please do not edit
+#
+from waeup.kofa.interfaces import MessageFactory as _
+
+COUNTRIES = (
+    (_(u"Afghanistan"), u"AF"),
+    (_(u"Åland Islands"), u"AX"),
+    (_(u"Albania"), u"AL"),
+    (_(u"Algeria"), u"DZ"),
+    (_(u"American Samoa"), u"AS"),
+    (_(u"Andorra"), u"AD"),
+    (_(u"Angola"), u"AO"),
+    (_(u"Anguilla"), u"AI"),
+    (_(u"Antarctica"), u"AQ"),
+    (_(u"Antigua and Barbuda"), u"AG"),
+    (_(u"Argentina"), u"AR"),
+    (_(u"Armenia"), u"AM"),
+    (_(u"Aruba"), u"AW"),
+    (_(u"Australia"), u"AU"),
+    (_(u"Austria"), u"AT"),
+    (_(u"Azerbaijan"), u"AZ"),
+    (_(u"Bahamas"), u"BS"),
+    (_(u"Bahrain"), u"BH"),
+    (_(u"Bangladesh"), u"BD"),
+    (_(u"Barbados"), u"BB"),
+    (_(u"Belarus"), u"BY"),
+    (_(u"Belgium"), u"BE"),
+    (_(u"Belize"), u"BZ"),
+    (_(u"Benin"), u"BJ"),
+    (_(u"Bermuda"), u"BM"),
+    (_(u"Bhutan"), u"BT"),
+    (_(u"Bolivia, Plurinational State of"), u"BO"),
+    (_(u"Bonaire, Sint Eustatius and Saba"), u"BQ"),
+    (_(u"Bosnia and Herzegovina"), u"BA"),
+    (_(u"Botswana"), u"BW"),
+    (_(u"Bouvet Island"), u"BV"),
+    (_(u"Brazil"), u"BR"),
+    (_(u"British Indian Ocean Territory"), u"IO"),
+    (_(u"Brunei Darussalam"), u"BN"),
+    (_(u"Bulgaria"), u"BG"),
+    (_(u"Burkina Faso"), u"BF"),
+    (_(u"Burundi"), u"BI"),
+    (_(u"Cambodia"), u"KH"),
+    (_(u"Cameroon"), u"CM"),
+    (_(u"Canada"), u"CA"),
+    (_(u"Cape Verde"), u"CV"),
+    (_(u"Cayman Islands"), u"KY"),
+    (_(u"Central African Republic"), u"CF"),
+    (_(u"Chad"), u"TD"),
+    (_(u"Chile"), u"CL"),
+    (_(u"China"), u"CN"),
+    (_(u"Christmas Island"), u"CX"),
+    (_(u"Cocos (keeling) Islands"), u"CC"),
+    (_(u"Colombia"), u"CO"),
+    (_(u"Comoros"), u"KM"),
+    (_(u"Congo"), u"CG"),
+    (_(u"Congo, the Democratic Republic of the"), u"CD"),
+    (_(u"Cook Islands"), u"CK"),
+    (_(u"Costa Rica"), u"CR"),
+    (_(u"Côte D'ivoire"), u"CI"),
+    (_(u"Croatia"), u"HR"),
+    (_(u"Cuba"), u"CU"),
+    (_(u"Curaçao"), u"CW"),
+    (_(u"Cyprus"), u"CY"),
+    (_(u"Czech Republic"), u"CZ"),
+    (_(u"Denmark"), u"DK"),
+    (_(u"Djibouti"), u"DJ"),
+    (_(u"Dominica"), u"DM"),
+    (_(u"Dominican Republic"), u"DO"),
+    (_(u"Ecuador"), u"EC"),
+    (_(u"Egypt"), u"EG"),
+    (_(u"El Salvador"), u"SV"),
+    (_(u"Equatorial Guinea"), u"GQ"),
+    (_(u"Eritrea"), u"ER"),
+    (_(u"Estonia"), u"EE"),
+    (_(u"Ethiopia"), u"ET"),
+    (_(u"Falkland Islands (malvinas)"), u"FK"),
+    (_(u"Faroe Islands"), u"FO"),
+    (_(u"Fiji"), u"FJ"),
+    (_(u"Finland"), u"FI"),
+    (_(u"France"), u"FR"),
+    (_(u"French Guiana"), u"GF"),
+    (_(u"French Polynesia"), u"PF"),
+    (_(u"French Southern Territories"), u"TF"),
+    (_(u"Gabon"), u"GA"),
+    (_(u"Gambia"), u"GM"),
+    (_(u"Georgia"), u"GE"),
+    (_(u"Germany"), u"DE"),
+    (_(u"Ghana"), u"GH"),
+    (_(u"Gibraltar"), u"GI"),
+    (_(u"Greece"), u"GR"),
+    (_(u"Greenland"), u"GL"),
+    (_(u"Grenada"), u"GD"),
+    (_(u"Guadeloupe"), u"GP"),
+    (_(u"Guam"), u"GU"),
+    (_(u"Guatemala"), u"GT"),
+    (_(u"Guernsey"), u"GG"),
+    (_(u"Guinea"), u"GN"),
+    (_(u"Guinea-bissau"), u"GW"),
+    (_(u"Guyana"), u"GY"),
+    (_(u"Haiti"), u"HT"),
+    (_(u"Heard Island and Mcdonald Islands"), u"HM"),
+    (_(u"Holy See (vatican City State)"), u"VA"),
+    (_(u"Honduras"), u"HN"),
+    (_(u"Hong Kong"), u"HK"),
+    (_(u"Hungary"), u"HU"),
+    (_(u"Iceland"), u"IS"),
+    (_(u"India"), u"IN"),
+    (_(u"Indonesia"), u"ID"),
+    (_(u"Iran, Islamic Republic of"), u"IR"),
+    (_(u"Iraq"), u"IQ"),
+    (_(u"Ireland"), u"IE"),
+    (_(u"Isle of Man"), u"IM"),
+    (_(u"Israel"), u"IL"),
+    (_(u"Italy"), u"IT"),
+    (_(u"Jamaica"), u"JM"),
+    (_(u"Japan"), u"JP"),
+    (_(u"Jersey"), u"JE"),
+    (_(u"Jordan"), u"JO"),
+    (_(u"Kazakhstan"), u"KZ"),
+    (_(u"Kenya"), u"KE"),
+    (_(u"Kiribati"), u"KI"),
+    (_(u"Korea, Democratic People's Republic of"), u"KP"),
+    (_(u"Korea, Republic of"), u"KR"),
+    (_(u"Kuwait"), u"KW"),
+    (_(u"Kyrgyzstan"), u"KG"),
+    (_(u"Lao People's Democratic Republic"), u"LA"),
+    (_(u"Latvia"), u"LV"),
+    (_(u"Lebanon"), u"LB"),
+    (_(u"Lesotho"), u"LS"),
+    (_(u"Liberia"), u"LR"),
+    (_(u"Libya"), u"LY"),
+    (_(u"Liechtenstein"), u"LI"),
+    (_(u"Lithuania"), u"LT"),
+    (_(u"Luxembourg"), u"LU"),
+    (_(u"Macao"), u"MO"),
+    (_(u"Macedonia, the Former Yugoslav Republic of"), u"MK"),
+    (_(u"Madagascar"), u"MG"),
+    (_(u"Malawi"), u"MW"),
+    (_(u"Malaysia"), u"MY"),
+    (_(u"Maldives"), u"MV"),
+    (_(u"Mali"), u"ML"),
+    (_(u"Malta"), u"MT"),
+    (_(u"Marshall Islands"), u"MH"),
+    (_(u"Martinique"), u"MQ"),
+    (_(u"Mauritania"), u"MR"),
+    (_(u"Mauritius"), u"MU"),
+    (_(u"Mayotte"), u"YT"),
+    (_(u"Mexico"), u"MX"),
+    (_(u"Micronesia, Federated States of"), u"FM"),
+    (_(u"Moldova, Republic of"), u"MD"),
+    (_(u"Monaco"), u"MC"),
+    (_(u"Mongolia"), u"MN"),
+    (_(u"Montenegro"), u"ME"),
+    (_(u"Montserrat"), u"MS"),
+    (_(u"Morocco"), u"MA"),
+    (_(u"Mozambique"), u"MZ"),
+    (_(u"Myanmar"), u"MM"),
+    (_(u"Namibia"), u"NA"),
+    (_(u"Nauru"), u"NR"),
+    (_(u"Nepal"), u"NP"),
+    (_(u"Netherlands"), u"NL"),
+    (_(u"New Caledonia"), u"NC"),
+    (_(u"New Zealand"), u"NZ"),
+    (_(u"Nicaragua"), u"NI"),
+    (_(u"Niger"), u"NE"),
+    (_(u"Nigeria"), u"NG"),
+    (_(u"Niue"), u"NU"),
+    (_(u"Norfolk Island"), u"NF"),
+    (_(u"Northern Mariana Islands"), u"MP"),
+    (_(u"Norway"), u"NO"),
+    (_(u"Oman"), u"OM"),
+    (_(u"Pakistan"), u"PK"),
+    (_(u"Palau"), u"PW"),
+    (_(u"Palestinian Territory, Occupied"), u"PS"),
+    (_(u"Panama"), u"PA"),
+    (_(u"Papua New Guinea"), u"PG"),
+    (_(u"Paraguay"), u"PY"),
+    (_(u"Peru"), u"PE"),
+    (_(u"Philippines"), u"PH"),
+    (_(u"Pitcairn"), u"PN"),
+    (_(u"Poland"), u"PL"),
+    (_(u"Portugal"), u"PT"),
+    (_(u"Puerto Rico"), u"PR"),
+    (_(u"Qatar"), u"QA"),
+    (_(u"Réunion"), u"RE"),
+    (_(u"Romania"), u"RO"),
+    (_(u"Russian Federation"), u"RU"),
+    (_(u"Rwanda"), u"RW"),
+    (_(u"Saint Barthélemy"), u"BL"),
+    (_(u"Saint Helena, Ascension and Tristan Da Cunha"), u"SH"),
+    (_(u"Saint Kitts and Nevis"), u"KN"),
+    (_(u"Saint Lucia"), u"LC"),
+    (_(u"Saint Martin (french Part)"), u"MF"),
+    (_(u"Saint Pierre and Miquelon"), u"PM"),
+    (_(u"Saint Vincent and the Grenadines"), u"VC"),
+    (_(u"Samoa"), u"WS"),
+    (_(u"San Marino"), u"SM"),
+    (_(u"Sao Tome and Principe"), u"ST"),
+    (_(u"Saudi Arabia"), u"SA"),
+    (_(u"Senegal"), u"SN"),
+    (_(u"Serbia"), u"RS"),
+    (_(u"Seychelles"), u"SC"),
+    (_(u"Sierra Leone"), u"SL"),
+    (_(u"Singapore"), u"SG"),
+    (_(u"Sint Maarten (dutch Part)"), u"SX"),
+    (_(u"Slovakia"), u"SK"),
+    (_(u"Slovenia"), u"SI"),
+    (_(u"Solomon Islands"), u"SB"),
+    (_(u"Somalia"), u"SO"),
+    (_(u"South Africa"), u"ZA"),
+    (_(u"South Georgia and the South Sandwich Islands"), u"GS"),
+    (_(u"South Sudan"), u"SS"),
+    (_(u"Spain"), u"ES"),
+    (_(u"Sri Lanka"), u"LK"),
+    (_(u"Sudan"), u"SD"),
+    (_(u"Suriname"), u"SR"),
+    (_(u"Svalbard and Jan Mayen"), u"SJ"),
+    (_(u"Swaziland"), u"SZ"),
+    (_(u"Sweden"), u"SE"),
+    (_(u"Switzerland"), u"CH"),
+    (_(u"Syrian Arab Republic"), u"SY"),
+    (_(u"Taiwan, Province of China"), u"TW"),
+    (_(u"Tajikistan"), u"TJ"),
+    (_(u"Tanzania, United Republic of"), u"TZ"),
+    (_(u"Thailand"), u"TH"),
+    (_(u"Timor-leste"), u"TL"),
+    (_(u"Togo"), u"TG"),
+    (_(u"Tokelau"), u"TK"),
+    (_(u"Tonga"), u"TO"),
+    (_(u"Trinidad and Tobago"), u"TT"),
+    (_(u"Tunisia"), u"TN"),
+    (_(u"Turkey"), u"TR"),
+    (_(u"Turkmenistan"), u"TM"),
+    (_(u"Turks and Caicos Islands"), u"TC"),
+    (_(u"Tuvalu"), u"TV"),
+    (_(u"Uganda"), u"UG"),
+    (_(u"Ukraine"), u"UA"),
+    (_(u"United Arab Emirates"), u"AE"),
+    (_(u"United Kingdom"), u"GB"),
+    (_(u"United States"), u"US"),
+    (_(u"United States Minor Outlying Islands"), u"UM"),
+    (_(u"Uruguay"), u"UY"),
+    (_(u"Uzbekistan"), u"UZ"),
+    (_(u"Vanuatu"), u"VU"),
+    (_(u"Venezuela, Bolivarian Republic of"), u"VE"),
+    (_(u"Viet Nam"), u"VN"),
+    (_(u"Virgin Islands, British"), u"VG"),
+    (_(u"Virgin Islands, U.S."), u"VI"),
+    (_(u"Wallis and Futuna"), u"WF"),
+    (_(u"Western Sahara"), u"EH"),
+    (_(u"Yemen"), u"YE"),
+    (_(u"Zambia"), u"ZM"),
+    (_(u"Zimbabwe"), u"ZW"),
+)
+