Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 7933)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 7984)
@@ -197,5 +197,5 @@
     code = schema.TextLine(
         title = _(u'Code'),
-        default = u'-',
+        #default = u'-',
         required = True,
         readonly = True,
@@ -205,5 +205,5 @@
         title = _(u'Title'),
         required = True,
-        default = u'-',
+        #default = u'-',
         readonly = True,
         )
@@ -212,5 +212,4 @@
         title = _(u'Application Target'),
         required = True,
-        default = None,
         source = ApplicationTypeSource(),
         readonly = True,
@@ -220,5 +219,5 @@
         title = _(u'Entry Level'),
         vocabulary = course_levels,
-        default = 100,
+        #default = 100,
         required = True,
         )
@@ -227,5 +226,4 @@
         title = _(u'Year of Entrance'),
         required = True,
-        default = None,
         values = year_range(),
         readonly = True,
@@ -235,5 +233,4 @@
         title = _(u'Applicants Container Type'),
         required = True,
-        default = None,
         source = ApplicantContainerProviderSource(),
         readonly = True,
@@ -251,5 +248,4 @@
         title = _(u'Category for the grouping of certificates'),
         required = True,
-        default = None,
         source = AppCatSource(),
         )
@@ -271,5 +267,4 @@
         title = _(u'Application Start Date'),
         required = False,
-        default = None,
         )
 
@@ -277,10 +272,9 @@
         title = _(u'Application Closing Date'),
         required = False,
-        default = None,
         )
 
     strict_deadline = schema.Bool(
         title = _(u'Forbid additions after deadline (enddate)'),
-        required = True,
+        required = False,
         default = True,
         )
@@ -322,5 +316,4 @@
         title = _(u'Application Target'),
         required = True,
-        default = None,
         source = ApplicationTypeSource(),
         readonly = False,
@@ -330,5 +323,4 @@
         title = _(u'Year of Entrance'),
         required = True,
-        default = None,
         values = year_range(),
         readonly = False,
@@ -338,5 +330,4 @@
         title = _(u'Applicants Container Type'),
         required = True,
-        default = None,
         source = ApplicantContainerProviderSource(),
         readonly = False,
@@ -372,5 +363,4 @@
         readonly = False,
         required = True,
-        default = None,
         source = contextual_reg_num_source,
         )
@@ -400,10 +390,9 @@
         title = _(u'State/LGA'),
         default = 'foreigner',
-        required = True,
+        required = False,
         )
     sex = schema.Choice(
         title = _(u'Sex'),
         source = GenderSource(),
-        default = u'm',
         required = True,
         )
@@ -431,5 +420,5 @@
         title = _(u'School Grades'),
         value_type = ResultEntryField(),
-        required = True,
+        required = False,
         default = [],
         )
@@ -449,5 +438,4 @@
         title = _(u'Admitted Course of Study'),
         source = CertificateSource(),
-        default = None,
         required = False,
         )
@@ -527,5 +515,4 @@
         title = _(u'Admitted Course of Study'),
         source = CertificateSource(),
-        default = None,
         required = False,
         readonly = True,
@@ -550,5 +537,4 @@
     reg_number = schema.TextLine(
         title = u'Registration Number',
-        default = None,
         required = False,
         )
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/sample_applicant_data.csv
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/sample_applicant_data.csv	(revision 7933)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/sample_applicant_data.csv	(revision 7984)
@@ -1,4 +1,4 @@
-container_code,reg_number,firstname,lastname,date_of_birth,email,course1
-dp2011,1001,Aaren,Pieri,1990-01-02,xx@yy.zz,CERT1
-dp2011,1002,Aaren,Finau,1990-01-03,xx@yy.zz,CERT1
-dp2011,1003,Aaren,Berson,1990-01-04,xx@yy.zz,CERT1
+container_code,reg_number,firstname,lastname,date_of_birth,email,course1,sex
+dp2011,1001,Aaren,Pieri,1990-01-02,xx@yy.zz,CERT1,m
+dp2011,1002,Aaren,Finau,1990-01-03,xx@yy.zz,CERT1,m
+dp2011,1003,Aaren,Berson,1990-01-04,xx@yy.zz,CERT1,m
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/sample_faulty_applicant_data.csv
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/sample_faulty_applicant_data.csv	(revision 7933)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/sample_faulty_applicant_data.csv	(revision 7984)
@@ -1,2 +1,2 @@
-container_code,reg_number,firstname,lastname,date_of_birth,email,course1
-dp2011,1001,Aaren,Pieri,01/02/1990,xx@yy.zz,CERT1
+container_code,reg_number,firstname,lastname,date_of_birth,email,course1,sex
+dp2011,1001,Aaren,Pieri,01/02/1990,xx@yy.zz,CERT1,m
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 7933)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 7984)
@@ -82,4 +82,5 @@
         applicantscontainer.prefix = 'app'
         applicantscontainer.year = 2009
+        applicantscontainer.entry_level = 100
         applicantscontainer.application_category = 'basic'
         delta = timedelta(days=10)
@@ -246,4 +247,5 @@
         self.browser.getControl(name="form.prefix").value = ['app']
         self.browser.getControl(name="form.year").value = ['2010']
+        self.browser.getControl(name="form.entry_level").value = ['100']
         self.browser.getControl(name="form.provider").value = [
             'waeup.kofa.applicants.ApplicantsContainer']
@@ -261,4 +263,5 @@
         self.browser.getControl(name="form.prefix").value = ['app']
         self.browser.getControl(name="form.year").value = ['2010']
+        self.browser.getControl(name="form.entry_level").value = ['100']
         self.browser.getControl(name="form.provider").value = [
             'waeup.kofa.applicants.ApplicantsContainer']
@@ -276,4 +279,5 @@
         self.browser.getControl(name="form.prefix").value = ['app']
         self.browser.getControl(name="form.year").value = ['2010']
+        self.browser.getControl(name="form.entry_level").value = ['100']
         self.browser.getControl(name="form.provider").value = [
             'waeup.kofa.applicants.ApplicantsContainer']
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 7933)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 7984)
@@ -52,4 +52,5 @@
         container.prefix = list(ApplicationTypeSource()(container))[0]
         container.year = 2012
+        container.entry_level = 100
         provider = [
             x for x in getUtilitiesFor(IApplicantsContainerProvider)