Index: WAeUP_SRP/trunk/profiles/unibenpg/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/unibenpg/layouts/student_clearance.xml	(revision 7978)
+++ WAeUP_SRP/trunk/profiles/unibenpg/layouts/student_clearance.xml	(revision 7987)
@@ -819,5 +819,361 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget> 
- 
+
+
+ <widget name="hq_type2" meta_type="Select Widget">
+  <property name="title">Higher Qualification</property>
+  <property name="fields">
+   <element value="hq_type2"/>
+  </property>
+  <property name="label">Higher Qualification</property>
+  <property name="label_edit">Higher Qualification</property>
+  <property name="description">Higher Qualification Data 2</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">high_qual</property>
+ </widget>
+ <widget name="hq_disc2" meta_type="String Widget">
+  <property name="title">Discipline</property>
+  <property name="fields">
+   <element value="hq_disc2"/>
+  </property>
+  <property name="label">Discipline</property>
+  <property name="label_edit">Discipline</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="hq_grade2" meta_type="Select Widget">
+  <property name="title">Higher Qualification Grade</property>
+  <property name="fields">
+   <element value="hq_grade2"/>
+  </property>
+  <property name="label">Higher Qualification Grade</property>
+  <property name="label_edit">Higher Qualification Grade</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">high_grade</property>
+ </widget>
+ <widget name="hq_matric_no2" meta_type="String Widget">
+  <property name="title">Matric Number</property>
+  <property name="fields">
+   <element value="hq_matric_no2"/>
+  </property>
+  <property name="label">Matric Number</property>
+  <property name="label_edit">Matric Number</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="hq_scan2" meta_type="File Image Widget">
+  <property name="title">Scan of Higher Qualification Result</property>
+  <property name="fields">
+   <element value="hq_scan2"/>
+  </property>
+  <property name="label">Scan of Higher Qualification Result</property>
+  <property name="label_edit">Scan of Higher Qualification Result</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ <widget name="hq_school2" meta_type="String Widget">
+  <property name="title">School Attended</property>
+  <property name="fields">
+   <element value="hq_school2"/>
+  </property>
+  <property name="label">School Attended</property>
+  <property name="label_edit">School Attended</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="hq_session2" meta_type="String Widget">
+  <property name="title">Session Obtained</property>
+  <property name="fields">
+   <element value="hq_session2"/>
+  </property>
+  <property name="label">Session Obtained</property>
+  <property name="label_edit">Session Obtained</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="nysc_year" meta_type="Int Widget">
+  <property name="title">Nysc Year</property>
+  <property name="fields">
+   <element value="nysc_year"/>
+  </property>
+  <property name="label">Nysc Year</property>
+  <property name="label_edit">Nysc Year</property>
+  <property name="description">NYSC Information</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ <property name="is_limited">True</property>
+ <property name="min_value">1960</property>
+ <property name="max_value">2020</property>
+ </widget>
+
+ <widget name="nysc_location" meta_type="String Widget">
+  <property name="title">Nysc Location</property>
+  <property name="fields">
+   <element value="nysc_location"/>
+  </property>
+  <property name="label">Nysc Location</property>
+  <property name="label_edit">Nysc Location</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="emp" meta_type="String Widget">
+  <property name="title">Employer</property>
+  <property name="fields">
+   <element value="emp"/>
+  </property>
+  <property name="label">Employer</property>
+  <property name="label_edit">Employer</property>
+  <property name="description">Employment History</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_position" meta_type="String Widget">
+  <property name="title">Position Held</property>
+  <property name="fields">
+   <element value="emp_position"/>
+  </property>
+  <property name="label">Position Held</property>
+  <property name="label_edit">Position Held</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_start" meta_type="DateTime Widget">
+  <property name="title">Start Date (dd/mm/yyy)</property>
+  <property name="fields">
+   <element value="emp_start"/>
+  </property>
+  <property name="label">Start Date (dd/mm/yyy)</property>
+  <property name="label_edit">Start Date (dd/mm/yyy)</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_end" meta_type="DateTime Widget">
+  <property name="title">End Date (dd/mm/yyy)</property>
+  <property name="fields">
+   <element value="emp_end"/>
+  </property>
+  <property name="label">End Date (dd/mm/yyy)</property>
+  <property name="label_edit">End Date (dd/mm/yyy)</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_reason" meta_type="String Widget">
+  <property name="title">Reason for Leaving</property>
+  <property name="fields">
+   <element value="emp_reason"/>
+  </property>
+  <property name="label">Reason for Leaving</property>
+  <property name="label_edit">Reason for Leaving</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+ </widget>
+ <widget name="emp2" meta_type="String Widget">
+  <property name="title">Employer Two</property>
+  <property name="fields">
+   <element value="emp2"/>
+  </property>
+  <property name="label">Employer Two</property>
+  <property name="label_edit">Employer Two</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_position2" meta_type="String Widget">
+  <property name="title">Position Held</property>
+  <property name="fields">
+   <element value="emp_position2"/>
+  </property>
+  <property name="label">Position Held</property>
+  <property name="label_edit">Position Held</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_start2" meta_type="DateTime Widget">
+  <property name="title">Start Date (dd/mm/yyy)</property>
+  <property name="fields">
+   <element value="emp_start2"/>
+  </property>
+  <property name="label">Start Date (dd/mm/yyy)</property>
+  <property name="label_edit">Start Date (dd/mm/yyy)</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_end2" meta_type="DateTime Widget">
+  <property name="title">End Date (dd/mm/yyy)</property>
+  <property name="fields">
+   <element value="emp_end2"/>
+  </property>
+  <property name="label">End Date (dd/mm/yyy)</property>
+  <property name="label_edit">End Date (dd/mm/yyy)</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_reason2" meta_type="String Widget">
+  <property name="title">Reason for Leaving</property>
+  <property name="fields">
+   <element value="emp_reason2"/>
+  </property>
+  <property name="label">Reason for Leaving</property>
+  <property name="label_edit">Reason for Leaving</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+ </widget>
+ <widget name="cert2" meta_type="File Image Widget">
+  <property name="title">Certificate Two</property>
+  <property name="fields">
+   <element value="cert2"/>
+  </property>
+  <property name="label">Certificate Two</property>
+  <property name="label_edit">Certificate Two</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ <widget name="cert3" meta_type="File Image Widget">
+  <property name="title">Certificate Three</property>
+  <property name="fields">
+   <element value="cert3"/>
+  </property>
+  <property name="label">Certificate Three</property>
+  <property name="label_edit">Certificate Three</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ <widget name="ref_let2" meta_type="File Image Widget">
+  <property name="title">Referee Letter Two</property>
+  <property name="fields">
+   <element value="ref_let2"/>
+  </property>
+  <property name="label">Referee Letter Two</property>
+  <property name="label_edit">Referee Letter Two</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ <widget name="ref_let3" meta_type="File Image Widget">
+  <property name="title">Referee Letter Three</property>
+  <property name="fields">
+   <element value="ref_let3"/>
+  </property>
+  <property name="label">Referee Letter Three</property>
+  <property name="label_edit">Referee Letter Three</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ <widget name="admission_let" meta_type="File Image Widget">
+  <property name="title">Letter of Admission</property>
+  <property name="fields">
+   <element value="admission_let"/>
+  </property>
+  <property name="label">Letter of Admission</property>
+  <property name="label_edit">Letter of Admission</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+
+
  <table>
   <row>
@@ -918,4 +1274,64 @@
   </row>
   <row>
+   <cell name="hq_type2"/>
+  </row>
+  <row>
+   <cell name="hq_grade2"/>
+  </row>
+  <row>
+   <cell name="hq_school2"/>
+  </row>
+  <row>
+   <cell name="hq_matric_no2"/>
+  </row>
+  <row>
+   <cell name="hq_session2"/>
+  </row>
+  <row>
+   <cell name="hq_disc2"/>
+  </row>
+  <row>
+   <cell name="hq_scan2"/>
+  </row>
+  <row>
+   <cell name="nysc_year"/>
+  </row>
+  <row>
+   <cell name="nysc_location"/>
+  </row>
+
+  <row>
+   <cell name="emp"/>
+  </row>
+  <row>
+   <cell name="emp_position"/>
+  </row>
+  <row>
+   <cell name="emp_start"/>
+  </row>
+  <row>
+   <cell name="emp_end"/>
+  </row>
+  <row>
+   <cell name="emp_reason"/>
+  </row>
+  <row>
+   <cell name="emp2"/>
+  </row>
+  <row>
+   <cell name="emp_position2"/>
+  </row>
+  <row>
+   <cell name="emp_start2"/>
+  </row>
+  <row>
+   <cell name="emp_end2"/>
+  </row>
+  <row>
+   <cell name="emp_reason2"/>
+  </row>
+
+
+  <row>
    <cell name="birth_certificate"/>
   </row>
@@ -933,4 +1349,10 @@
   </row>
   <row>
+   <cell name="cert2"/>
+  </row>
+  <row>
+   <cell name="cert3"/>
+  </row>
+  <row>
    <cell name="evid"/>
   </row>
@@ -945,8 +1367,17 @@
   </row>
   <row>
+   <cell name="ref_let2"/>
+  </row>
+  <row>
+   <cell name="ref_let3"/>
+  </row>
+  <row>
    <cell name="cred"/>
   </row>
   <row>
    <cell name="stat_dec"/>
+  </row>
+  <row>
+   <cell name="admission_let"/>
   </row>
   <row>
Index: WAeUP_SRP/trunk/profiles/unibenpg/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/unibenpg/layouts/student_clearance_fe.xml	(revision 7978)
+++ WAeUP_SRP/trunk/profiles/unibenpg/layouts/student_clearance_fe.xml	(revision 7987)
@@ -812,6 +812,362 @@
  </widget>  
  
+
+ <widget name="hq_type2" meta_type="Select Widget">
+  <property name="title">Higher Qualification</property>
+  <property name="fields">
+   <element value="hq_type2"/>
+  </property>
+  <property name="label">Higher Qualification</property>
+  <property name="label_edit">Higher Qualification</property>
+  <property name="description">Higher Qualification Data 2</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">high_qual</property>
+ </widget>
+ <widget name="hq_disc2" meta_type="String Widget">
+  <property name="title">Discipline</property>
+  <property name="fields">
+   <element value="hq_disc2"/>
+  </property>
+  <property name="label">Discipline</property>
+  <property name="label_edit">Discipline</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="hq_grade2" meta_type="Select Widget">
+  <property name="title">Higher Qualification Grade</property>
+  <property name="fields">
+   <element value="hq_grade2"/>
+  </property>
+  <property name="label">Higher Qualification Grade</property>
+  <property name="label_edit">Higher Qualification Grade</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">high_grade</property>
+ </widget>
+ <widget name="hq_matric_no2" meta_type="String Widget">
+  <property name="title">Matric Number</property>
+  <property name="fields">
+   <element value="hq_matric_no2"/>
+  </property>
+  <property name="label">Matric Number</property>
+  <property name="label_edit">Matric Number</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="hq_scan2" meta_type="File Image Widget">
+  <property name="title">Scan of Higher Qualification Result</property>
+  <property name="fields">
+   <element value="hq_scan2"/>
+  </property>
+  <property name="label">Scan of Higher Qualification Result</property>
+  <property name="label_edit">Scan of Higher Qualification Result</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ <widget name="hq_school2" meta_type="String Widget">
+  <property name="title">School Attended</property>
+  <property name="fields">
+   <element value="hq_school2"/>
+  </property>
+  <property name="label">School Attended</property>
+  <property name="label_edit">School Attended</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="hq_session2" meta_type="String Widget">
+  <property name="title">Session Obtained</property>
+  <property name="fields">
+   <element value="hq_session2"/>
+  </property>
+  <property name="label">Session Obtained</property>
+  <property name="label_edit">Session Obtained</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="nysc_year" meta_type="Int Widget">
+  <property name="title">Nysc Year</property>
+  <property name="fields">
+   <element value="nysc_year"/>
+  </property>
+  <property name="label">Nysc Year</property>
+  <property name="label_edit">Nysc Year</property>
+  <property name="description">NYSC Information</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ <property name="is_limited">True</property>
+ <property name="min_value">1960</property>
+ <property name="max_value">2020</property>
+ </widget>
+
+ <widget name="nysc_location" meta_type="String Widget">
+  <property name="title">Nysc Location</property>
+  <property name="fields">
+   <element value="nysc_location"/>
+  </property>
+  <property name="label">Nysc Location</property>
+  <property name="label_edit">Nysc Location</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="emp" meta_type="String Widget">
+  <property name="title">Employer</property>
+  <property name="fields">
+   <element value="emp"/>
+  </property>
+  <property name="label">Employer</property>
+  <property name="label_edit">Employer</property>
+  <property name="description">Employment History</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_position" meta_type="String Widget">
+  <property name="title">Position Held</property>
+  <property name="fields">
+   <element value="emp_position"/>
+  </property>
+  <property name="label">Position Held</property>
+  <property name="label_edit">Position Held</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_start" meta_type="DateTime Widget">
+  <property name="title">Start Date (dd/mm/yyy)</property>
+  <property name="fields">
+   <element value="emp_start"/>
+  </property>
+  <property name="label">Start Date (dd/mm/yyy)</property>
+  <property name="label_edit">Start Date (dd/mm/yyy)</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_end" meta_type="DateTime Widget">
+  <property name="title">End Date (dd/mm/yyy)</property>
+  <property name="fields">
+   <element value="emp_end"/>
+  </property>
+  <property name="label">End Date (dd/mm/yyy)</property>
+  <property name="label_edit">End Date (dd/mm/yyy)</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_reason" meta_type="String Widget">
+  <property name="title">Reason for Leaving</property>
+  <property name="fields">
+   <element value="emp_reason"/>
+  </property>
+  <property name="label">Reason for Leaving</property>
+  <property name="label_edit">Reason for Leaving</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+ </widget>
+ <widget name="emp2" meta_type="String Widget">
+  <property name="title">Employer Two</property>
+  <property name="fields">
+   <element value="emp2"/>
+  </property>
+  <property name="label">Employer Two</property>
+  <property name="label_edit">Employer Two</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_position2" meta_type="String Widget">
+  <property name="title">Position Held</property>
+  <property name="fields">
+   <element value="emp_position2"/>
+  </property>
+  <property name="label">Position Held</property>
+  <property name="label_edit">Position Held</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_start2" meta_type="DateTime Widget">
+  <property name="title">Start Date (dd/mm/yyy)</property>
+  <property name="fields">
+   <element value="emp_start2"/>
+  </property>
+  <property name="label">Start Date (dd/mm/yyy)</property>
+  <property name="label_edit">Start Date (dd/mm/yyy)</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_end2" meta_type="DateTime Widget">
+  <property name="title">End Date (dd/mm/yyy)</property>
+  <property name="fields">
+   <element value="emp_end2"/>
+  </property>
+  <property name="label">End Date (dd/mm/yyy)</property>
+  <property name="label_edit">End Date (dd/mm/yyy)</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="emp_reason2" meta_type="String Widget">
+  <property name="title">Reason for Leaving</property>
+  <property name="fields">
+   <element value="emp_reason2"/>
+  </property>
+  <property name="label">Reason for Leaving</property>
+  <property name="label_edit">Reason for Leaving</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+ </widget>
+ <widget name="cert2" meta_type="File Image Widget">
+  <property name="title">Certificate Two</property>
+  <property name="fields">
+   <element value="cert2"/>
+  </property>
+  <property name="label">Certificate Two</property>
+  <property name="label_edit">Certificate Two</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ <widget name="cert3" meta_type="File Image Widget">
+  <property name="title">Certificate Three</property>
+  <property name="fields">
+   <element value="cert3"/>
+  </property>
+  <property name="label">Certificate Three</property>
+  <property name="label_edit">Certificate Three</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ <widget name="ref_let2" meta_type="File Image Widget">
+  <property name="title">Referee Letter Two</property>
+  <property name="fields">
+   <element value="ref_let2"/>
+  </property>
+  <property name="label">Referee Letter Two</property>
+  <property name="label_edit">Referee Letter Two</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ <widget name="ref_let3" meta_type="File Image Widget">
+  <property name="title">Referee Letter Three</property>
+  <property name="fields">
+   <element value="ref_let3"/>
+  </property>
+  <property name="label">Referee Letter Three</property>
+  <property name="label_edit">Referee Letter Three</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ <widget name="admission_let" meta_type="File Image Widget">
+  <property name="title">Letter of Admission</property>
+  <property name="fields">
+   <element value="admission_let"/>
+  </property>
+  <property name="label">Letter of Admission</property>
+  <property name="label_edit">Letter of Admission</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+
+
+
  <table>
-
   <row>
    <cell name="firstname"/>
@@ -910,4 +1266,64 @@
    <cell name="hq_scan"/>
   </row>
+
+  <row>
+   <cell name="hq_type2"/>
+  </row>
+  <row>
+   <cell name="hq_grade2"/>
+  </row>
+  <row>
+   <cell name="hq_school2"/>
+  </row>
+  <row>
+   <cell name="hq_matric_no2"/>
+  </row>
+  <row>
+   <cell name="hq_session2"/>
+  </row>
+  <row>
+   <cell name="hq_disc2"/>
+  </row>
+  <row>
+   <cell name="hq_scan2"/>
+  </row>
+  <row>
+   <cell name="nysc_year"/>
+  </row>
+  <row>
+   <cell name="nysc_location"/>
+  </row>
+
+  <row>
+   <cell name="emp"/>
+  </row>
+  <row>
+   <cell name="emp_position"/>
+  </row>
+  <row>
+   <cell name="emp_start"/>
+  </row>
+  <row>
+   <cell name="emp_end"/>
+  </row>
+  <row>
+   <cell name="emp_reason"/>
+  </row>
+  <row>
+   <cell name="emp2"/>
+  </row>
+  <row>
+   <cell name="emp_position2"/>
+  </row>
+  <row>
+   <cell name="emp_start2"/>
+  </row>
+  <row>
+   <cell name="emp_end2"/>
+  </row>
+  <row>
+   <cell name="emp_reason2"/>
+  </row>
+
   <row>
    <cell name="birth_certificate"/>
@@ -920,16 +1336,16 @@
   </row>
   <row>
-   <cell name="jamb_slip"/>
-  </row>
-  <row>
    <cell name="cert"/>
   </row>
   <row>
+   <cell name="cert2"/>
+  </row>
+  <row>
+   <cell name="cert3"/>
+  </row>
+  <row>
    <cell name="evid"/>
   </row>
   <row>
-   <cell name="jamb_let"/>
-  </row>
-  <row>
    <cell name="res_stat"/>
   </row>
@@ -938,8 +1354,14 @@
   </row>
   <row>
-   <cell name="cred"/>
+   <cell name="ref_let2"/>
+  </row>
+  <row>
+   <cell name="ref_let3"/>
   </row>
   <row>
    <cell name="stat_dec"/>
+  </row>
+  <row>
+   <cell name="admission_let"/>
   </row>
   <row>