Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 7995)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 7996)
@@ -835,5 +835,5 @@
         return
 
-    @action(_('Save'))
+    @action(_('Save'), style='primary')
     def save(self, **data):
         if self.passport_changed is False:  # False is not None!
@@ -922,5 +922,5 @@
             return
         # Add applicant and create password
-        applicant = createObject('waeup.Applicant')
+        applicant = createObject(self.context.factory_name)
         self.applyData(applicant, **data)
         self.context.addApplicant(applicant)
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 7995)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 7996)
@@ -62,4 +62,5 @@
     </span>
   </div>
+  <br />
 
   <div tal:condition="view/availableActions">
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/workflow.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/workflow.py	(revision 7995)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/workflow.py	(revision 7996)
@@ -36,5 +36,5 @@
         transition_id = 'reset1',
         title = _('Reset student'),
-        msg = _('Student record reset'),
+        msg = _('Reset to initial state'),
         source = ADMITTED,
         destination = CREATED),
@@ -50,5 +50,5 @@
         transition_id = 'reset2',
         title = _('Reset to admitted'),
-        msg = _("Student record reset to 'admitted'"),
+        msg = _("Reset to 'admitted'"),
         source = CLEARANCE,
         destination = ADMITTED),
@@ -64,5 +64,5 @@
         transition_id = 'reset3',
         title = _('Reset to clearance'),
-        msg = _("Student record reset to 'clearance'"),
+        msg = _("Reset to 'clearance'"),
         source = REQUESTED,
         destination = CLEARANCE),
@@ -78,5 +78,5 @@
         transition_id = 'reset4',
         title = _('Reset to clearance'),
-        msg = _("Student record reset to 'clearance'"),
+        msg = _("Reset to 'clearance'"),
         source = CLEARED,
         destination = CLEARANCE),
@@ -92,5 +92,5 @@
         transition_id = 'reset5',
         title = _('Reset to cleared'),
-        msg = _("Student record reset to 'cleared'"),
+        msg = _("Reset to 'cleared'"),
         source = PAID,
         destination = CLEARED),
@@ -106,5 +106,5 @@
         transition_id = 'reset6',
         title = _('Reset to returning'),
-        msg = _("Student record reset to 'returning'"),
+        msg = _("Reset to 'returning'"),
         source = PAID,
         destination = RETURNING),
@@ -120,5 +120,5 @@
         transition_id = 'reset7',
         title = _('Reset to paid'),
-        msg = _("Student record reset to 'paid'"),
+        msg = _("Reset to 'paid'"),
         source = REGISTERED,
         destination = PAID),
@@ -134,5 +134,5 @@
         transition_id = 'reset8',
         title = _('Reset to paid'),
-        msg = _("Student record reset to 'paid'"),
+        msg = _("Reset to 'paid'"),
         source = VALIDATED,
         destination = PAID),
@@ -141,5 +141,5 @@
         transition_id = 'return',
         title = _('Return'),
-        msg = _('Returned'),
+        msg = _("Reset to 'returning'"),
         source = VALIDATED,
         destination = RETURNING),
@@ -148,5 +148,5 @@
         transition_id = 'reset9',
         title = _('Reset to validated'),
-        msg = _("Student record reset to 'validated'"),
+        msg = _("Reset to 'validated'"),
         source = RETURNING,
         destination = VALIDATED),